varying highp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform vec4 u_glow;

void main()
{
	//u_glow = vec4(1.0, 1.0, 1.0, 0.0);
	vec4 textureColor = texture2D(u_texture, v_texCoord);
	vec4 maskColor = texture2D(u_texture1, v_texCoord);

	gl_FragColor.rgb =  textureColor.rgb;
	gl_FragColor.a =  textureColor.a * maskColor.a;
}