varying lowp vec3 v_texCoord;
varying lowp vec4 v_color;
uniform sampler2D u_texture;
uniform vec4 u_params;

void main()
{
	float flame = smoothstep(u_params.x, 1.0, v_texCoord.z);
	gl_FragColor = texture2D(u_texture, v_texCoord.xy);
	gl_FragColor.rgb += v_color.rgb * flame;
}