attribute highp vec4 a_position;
attribute mediump vec2 a_texCoord;
attribute vec4 a_color;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform vec4 u_params;

varying lowp vec3 v_texCoord;
varying lowp vec4 v_color;
void main()
{
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = a_color;
	v_texCoord.xy = a_texCoord.xy;
	v_texCoord.z = dot(a_texCoord.xy, vec2(u_params.z, 1.0 - u_params.z));
	if(u_params.w > 0.5) v_texCoord.z = 1.0 - v_texCoord.z;
}