varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform vec4 u_uv_desplz;

void main()
{	
	vec2 uv = v_texCoord;

	float x = uv.x + u_uv_desplz.x;
	float y = uv.y + u_uv_desplz.y;
	
	vec4 color = v_color * texture2D(u_texture, vec2(x,y));
	
	gl_FragColor = color;
}
