varying highp vec4 v_texCoord;
//varying lowp float v_highlight;

uniform lowp sampler2D u_texture;

void main()
{
	lowp vec4 diffuse = texture2D(u_texture, v_texCoord.xy);
	lowp vec4 lighting = texture2D(u_texture, v_texCoord.zw);
	gl_FragColor.rgb = (diffuse.rgb * (1.0 - lighting.a)) + (lighting.rgb * lighting.a);
	gl_FragColor.a = diffuse.a;
}
