varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform vec4 u_interpolator;

void main()
{
	vec4 color = v_color * texture2D(u_texture, v_texCoord);
	if (v_texCoord.y < (1.0 - u_interpolator.x))
	{
		gl_FragColor = vec4(0, 0, 0, 0);
	}
	else
	{
		gl_FragColor = color;	
	}
}
