attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute lowp vec2 a_texCoord;
uniform highp mat4 u_modelViewProjectionMatrix;

varying lowp vec4 v_color;
varying highp vec2 v_texCoord;

void main()
{
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = a_color * vec4(a_color.a, a_color.a, a_color.a, 1.0);
	v_texCoord = a_texCoord;
}