varying highp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform vec4 u_glow;

void main()
{
	//u_glow = vec4(1.0, 1.0, 1.0, 0.0);
	vec4 textureColor = texture2D(u_texture, v_texCoord);
	float mask = step(0.9, textureColor.a);
	vec4 glowColor = vec4(u_glow.x, u_glow.y, u_glow.z, textureColor.a * u_glow.w);
	gl_FragColor =  mix(glowColor, textureColor, mask);
}