attribute highp vec4 a_position;
attribute mediump vec4 a_color;
attribute mediump vec2 a_texCoord;
uniform highp mat4 u_modelViewProjectionMatrix;

varying mediump vec2 v_texCoord;
varying mediump vec4 v_color;

void main()
{
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_texCoord = a_texCoord;
	v_color = a_color;
}